## octave-statistics 1.6.0

=== debian/changelog ===
octave-statistics (1.6.0-2ubuntu1) mantic; urgency=medium

  * Avoid FTBFS by ignoring dwz error, see #1040747:
    dwz: Couldn't find DIE at DW_FORM_ref_addr offset 0x5b02

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 04 Sep 2023 15:10:42 +0000

octave-statistics (1.6.0-2) unstable; urgency=medium

  * test-failures-cameratarget.patch: new patch by Graham Inggs.
    Taken from Ubuntu. Fixes random autopkgtest failures. (Closes: #1042933)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Sep 2023 15:59:18 +0200

octave-statistics (1.6.0-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 1.6.0
  * d/p/test-normalise_distribution-tolerance.patch: Drop patch (applied
    upstream)
  * d/p/test-tolerance.patch: Drop patch (applied upstream)
  * d/p/test-hotelling_t2test-deterministic.patch; Drop patch (applied upstream)
  * d/p/test-further-tolerance.patch: Drop patch (applied upstream)
  * d/p/normfit-bist-tolerance.patch: New patch
  * d/u/metadata: Add Changelog and Documentation URLs

  [ Sébastien Villemot ]
  * more-bist-tolerance.patch: new patch, fixes various BISTs on amd64 and i386

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Jun 2023 13:10:49 +0200

octave-statistics (1.5.4-5) experimental; urgency=medium

  * test-further-tolerance.patch: loosen some tolerance again

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Apr 2023 15:38:27 +0200

octave-statistics (1.5.4-4) experimental; urgency=medium

  * test-further-tolerance.patch: new patch

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Apr 2023 14:49:26 +0200

octave-statistics (1.5.4-3) experimental; urgency=medium

  * test-tolerance.patch: loosen another numerical test
  * test-hotelling_t2test-deterministic.patch: new patch

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 24 Apr 2023 18:43:01 +0200

octave-statistics (1.5.4-2) experimental; urgency=medium

  * test-tolerance.patch: new patch.
    Should fix various test failures on armel, i386 and ppc64el.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 21 Apr 2023 22:10:57 +0200

octave-statistics (1.5.4-1) experimental; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 1.5.4
  * d/copyright: Reflect upstream changes
  * d/patches/test-hygecdf-tolerance.patch: Drop patch (applied upstream)

  [ Sébastien Villemot ]
  * Add source lintian override for false positive on docs/svmpredict.html
  * test-normalise_distribution-tolerance.patch: new patch

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 21 Apr 2023 22:10:29 +0200

=== debian/control ===
Source: octave-statistics
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 1.2.3),
               dh-sequence-octave,
               octave,
               octave-io
Build-Conflicts: octave-nan
Standards-Version: 4.6.2
Homepage: https://gnu-octave.github.io/packages/statistics/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-statistics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional statistical functions for Octave
 This package provides additional statistical functions for Octave, including
 mean and variance for several distributions (geometric, hypergeometric,
 exponential, lognormal and others).
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

override_dh_dwz:
	-dh_dwz

## octave-statistics 1.6.3

=== DESCRIPTION ===
Name: statistics
Version: 1.6.3
Date: 2024-2-9
Author: various authors
Maintainer: Andreas Bertsatos <abertsatos@biol.uoa.gr>
Title: Statistics
Description: The Statistics package for GNU Octave.
Categories: Statistics
Depends: octave (>= 7.2.0)
License: GPLv3+
Url: https://github.com/gnu-octave/statistics

=== debian/changelog ===
octave-statistics (1.6.3-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:23 +1100

octave-statistics (1.6.3-1ubuntu1) noble; urgency=medium

  * debian/rules: ignore dwz error, again, to avoid FTBFS (LP: #2059318)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 27 Mar 2024 17:33:21 -0400

octave-statistics (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3
  * Drop patches:
    + d/p/test-failures.patch: Not needed anymore
    + d/p/test-failures-cameratarget.patch: Not needed anymore
    + d/p/xtest-bists-with-plots.patch: Applied upstream
    + d/p/xtest-bist-fitcknn.patch: Applied upstream
    + d/p/xtest-bist-pdist2.patch: Not needed anymore
  * d/control: Depend on libjs-bootstrap5, instead of libjs-bootstrap
  * d/local-url:
    + Fix URL of JavaScript and CSS files
    + Remove properties integrity, crossorigin, and referrerpolicy

 -- Rafael Laboissière <rafael@debian.org>  Sun, 11 Feb 2024 15:18:39 -0300

octave-statistics (1.6.1-2) unstable; urgency=medium

  * d/p/xtest-bist-pdist2.patch: Mark a further failing BIST in
    pdist2.m as xtest.  This seems to be necessary to avoid FTBFS on
    arm64, ppc64el, riscv64, and r390x.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Jan 2024 14:38:09 -0300

octave-statistics (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * d/copyright: Reflect upstream changes
  * d/p/normfit-bist-tolerance.patch: Drop patch (applied upstream)
  * d/p/more-bist-tolerance.patch: Drop patch (applied upstream)
  * d/p/test-failures-cameratarget.patch: Mark further failing BISTS as xtest
  * d/p/xtest-bists-with-plots.patch: New patch
  * Split package into arch-dep and arch-indep packages.
    Lintian indicates that his should be done, via the new warning
    arch-dep-package-has-big-usr-share.
    + d/control: Add stanza for octave-statistics-common and make
      octave-statistics depend on it
    + d/octave-statistics-common.install: New file
    + d/octave-statistics.install: New file
  * Install documentation
    + d/octave-statistics-common.docs: New file
    + d/octave-statistics-common.doc-base: New file
    + d/local-url: New script for replacing JavaScript external URLs
      by local ones
    + d/control:
      - Build-depend on python3 (for running d/local-url)
      - Make octave-statistics-common depend on libjs-bootstrap and
        libjs-mathjax
    + d/rules: Run d/local-url after dh_installdeb
  * d/rules: Exclude dendogram.m from tests
  * d/watch: Drop filemangle (Lintian warning prefer-uscan-symlink)
  * d/p/xtest-bist-fitcknn.patch: New patch
  * d/p/xtest-bist-pdist2.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Jan 2024 15:30:48 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                octave,
-               octave-io
+               octave-io,
+               python3
 Build-Conflicts: octave-nan
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/statistics/
@@ -20,10 +21,33 @@
 
 Package: octave-statistics
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${octave:Depends},
+         octave-statistics-common (= ${source:Version}),
+         libjs-bootstrap5,
+         libjs-mathjax
 Description: additional statistical functions for Octave
- This package provides additional statistical functions for Octave, including
- mean and variance for several distributions (geometric, hypergeometric,
- exponential, lognormal and others).
+ This package provides additional statistical functions for Octave,
+ including mean and variance for several distributions (geometric,
+ hypergeometric, exponential, lognormal and others).
  .
  This Octave add-on package is part of the Octave-Forge project.
+ .
+ This package contains the architecture-dependent files for the
+ Octave statistics package.
+
+Package: octave-statistics-common
+Architecture: all
+Depends: ${misc:Depends},
+         ${octave:Depends}
+Multi-Arch: foreign
+Description: additional statistical functions for Octave (arch-indep files)
+ This package provides additional statistical functions for Octave,
+ including mean and variance for several distributions (geometric,
+ hypergeometric, exponential, lognormal and others).
+ .
+ This Octave add-on package is part of the Octave-Forge project.
+ .
+ This package contains the architecture-independent files for the
+ Octave statistics package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OCTAVE_EXCLUDE_TEST = dendrogram.m

%:
	dh $@ --buildsystem=octave

execute_after_dh_installdeb:
	debian/local-url

override_dh_dwz:
	-dh_dwz

## octave-statistics 1.6.7

=== debian/changelog ===
octave-statistics (1.6.7-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Avoid FTBFS by ignoring dwz error, see #1040747:
      dwz: Couldn't find DIE at DW_FORM_ref_addr offset 0x5b02

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Jul 2024 11:52:22 +0200

octave-statistics (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 30 Jun 2024 16:20:41 +0200

octave-statistics (1.6.6-2ubuntu1) oracular; urgency=medium

  * Avoid FTBFS by ignoring dwz error, see #1040747:
    dwz: Couldn't find DIE at DW_FORM_ref_addr offset 0x5b02

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 23 May 2024 12:19:50 +0000

octave-statistics (1.6.6-2) unstable; urgency=medium

  * debian/checkvars: do not run BISTs in mad.m.
    These tests fail in an autopkgtest context with Octave 9. And actually this
    file is not made available under Octave ⩾ 9, because it is under the
    shadow9/ subdirectory. So we can simply ignore it.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 21 May 2024 15:01:32 +0200

octave-statistics (1.6.6-1) unstable; urgency=medium

  * New upstream version 1.6.6
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * Drop patch (applied upstream):
    + d/p/glmfit-reproducible-bist.patch
    + d/p/binomial-dist-median.patch
    + d/p/fpdf-reproducile-bist.patch
  * d/s/lintian-overrides: Add override for missing source of file
    editDistance.html

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 May 2024 05:35:21 -0300

octave-statistics (1.6.5-3) unstable; urgency=medium

  * d/p/glmfit-reproducible-bist.patch: Add Applied-Upstream field
  * d/p/fpdf-reproducile-bist.patch: New patch (Closes: #1067327)
  * d/p/binomial-dist-median.patch: Update with upstream commit

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Mar 2024 07:33:29 -0300

octave-statistics (1.6.5-2) unstable; urgency=medium

  * d/p/binomial-dist-median.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 10 Mar 2024 03:57:17 -0300

octave-statistics (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5
  * d/p/glmfit-reproducible-bist.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 09 Mar 2024 03:00:06 -0300

octave-statistics (1.6.4-3) unstable; urgency=medium

  * d/rules: Instead of the execute_after_dh_installdeb target, use the
    -indep variant.
    The commands in this rule are intended to be run on the files
    installed by the octave-statistics-common package and fail in arch:any
    builds. (Really, closes: #1065548)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Mar 2024 08:14:53 -0300

octave-statistics (1.6.4-2) unstable; urgency=medium

  * d/rules: Do not FTBFS if empty doc/ directory does not exist
    (Closes: #1065548)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 06 Mar 2024 13:25:56 -0300

octave-statistics (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4
  * d/p/xtest-bist-pdist2.patch: Drop patch (not needed anymore)
  * d/rules:
    + Run the unit tests in dendrogram.m
    + Remove empty directory doc/
    + Change wrong permission of *.m files

 -- Rafael Laboissière <rafael@debian.org>  Tue, 05 Mar 2024 23:14:11 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                octave-io,
                python3
 Build-Conflicts: octave-nan
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gnu-octave.github.io/packages/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

common_dir = debian/octave-statistics-common

execute_after_dh_installdeb-indep:
	# Use local JavaScript and CSS files
	debian/local-url
	# Remove empty directory
	rm -rf $(find $(common_dir) -name doc -type d -empty)
	# See https://savannah.gnu.org/bugs/?65418
	find $(common_dir) -name \*.m -a -perm /+x -exec chmod -x \{} \;

override_dh_dwz:
	-dh_dwz

## octave-statistics 1.7.0

=== debian/changelog ===
octave-statistics (1.7.0-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Avoid FTBFS by ignoring dwz error, see #1040747:
      dwz: Couldn't find DIE at DW_FORM_ref_addr offset 0x5b02

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 09:48:32 +0200

octave-statistics (1.7.0-2) unstable; urgency=medium

  * test-ClassificationPartitionedModel.patch: new patch.
    Disables tests that randomly enters an infinite loop. (Closes: #1081727)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 16 Sep 2024 18:55:03 +0200

octave-statistics (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * d/copyright: reflect upstream changes
  * Generated HTML is no longer shipped with the package.
    It is no longer included in the upstream tarball. Documentation remains
    accessible online or via the “help” command in Octave.
  * Ship README.md and old upstream changelogs
  * Fix cleaning of empty doc/ directory.
    Also remove workaround for fixing incorrect permissions in upstream tarball,
    no longer needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Sep 2024 11:33:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                octave,
-               octave-io,
-               python3
+               octave-io
 Build-Conflicts: octave-nan
 Standards-Version: 4.7.0
 Homepage: https://gnu-octave.github.io/packages/statistics/
@@ -24,9 +23,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${octave:Depends},
-         octave-statistics-common (= ${source:Version}),
-         libjs-bootstrap5,
-         libjs-mathjax
+         octave-statistics-common (= ${source:Version})
 Description: additional statistical functions for Octave
  This package provides additional statistical functions for Octave,
  including mean and variance for several distributions (geometric,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_before_dh_installdeb-indep:
	# Remove empty directory
	rm -r $$(find debian/octave-statistics-common -name doc -type d -empty)

override_dh_dwz:
	-dh_dwz

## octave-statistics 1.7.2

=== debian/changelog ===
octave-statistics (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * d/p/test-ClassificationPartitionedModel.patch: Drop patch (applied upstream)
  * d/p/tests-disabled-for-debCI.patch: Refresh for new upstream version
  * d/copyright: Update list of copyright years

 -- Rafael Laboissière <rafael@debian.org>  Wed, 05 Feb 2025 23:03:56 -0300

octave-statistics (1.7.0-5) unstable; urgency=medium

  * tests-disabled-for-debCI.patch: disable a few more tests

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jan 2025 12:07:56 +0100

octave-statistics (1.7.0-4) unstable; urgency=medium

  * tests-disabled-for-debCI.patch: disable more slow tests on debCI/amd64
    (Closes: #1091873)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jan 2025 11:40:53 +0100

octave-statistics (1.7.0-3) unstable; urgency=medium

  * test-ClassificationPartitionedModel.patch: update following upstream fix
  * test-ClassificationPartitionedModel-2.patch: new patch.
    Should fix random autopkgtest timeouts. (Closes: #1091873)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 12 Jan 2025 19:17:09 +0100

## octave-statistics 1.7.3

=== src/Makefile ===
# Makefile for compiling required oct files

all:
	$(MKOCTFILE)       editDistance.cc
	$(MKOCTFILE)       libsvmread.cc
	$(MKOCTFILE)       libsvmwrite.cc
	$(MKOCTFILE)       svmpredict.cc svm.cpp svm_model_octave.cc
	$(MKOCTFILE)       svmtrain.cc svm.cpp svm_model_octave.cc
	$(MKOCTFILE)       fcnntrain.cc
	$(MKOCTFILE)       fcnnpredict.cc

=== debian/changelog ===
octave-statistics (1.7.3-2) unstable; urgency=medium

  * test-disable-fitdist.patch: new patch, disable test that fails on amd64
  * Bump S-V to 4.7.1

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Feb 2025 16:28:51 +0100

octave-statistics (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3
  * d/copyright: reflect upstream changes
  * tests-disabled-for-debCI.patch: drop patch.
    Possibly no longer needed since upstream release 1.7.2.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Feb 2025 11:36:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: octave-statistics
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
   Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +10,7 @@
                octave,
                octave-io
 Build-Conflicts: octave-nan
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://gnu-octave.github.io/packages/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 execute_before_dh_installdeb-indep:
 	# Remove empty directory
 	rm -r $$(find debian/octave-statistics-common -name doc -type d -empty)
-
-override_dh_dwz:
-	-dh_dwz

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/statistics/ \
  https://github.com/gnu-octave/statistics/archive/refs/tags/release-(.+).tar.gz

## octave-statistics 1.7.4

=== debian/changelog ===
octave-statistics (1.7.4-1) experimental; urgency=medium

  * New upstream version 1.7.4
  * test-disable-fitdist.patch: drop patch, no longer needed
  * Bump S-V to 4.7.2

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 15 Apr 2025 10:57:47 +0200

## octave-statistics 1.7.5

=== src/Makefile ===
# Makefile for compiling required oct files (parallel version)

# List all target oct files
OCTFILES = editDistance.oct libsvmread.oct libsvmwrite.oct svmpredict.oct \
           svmtrain.oct fcnntrain.oct fcnnpredict.oct

# Default target - depends on all oct files (enables parallel build)
all: $(OCTFILES)

# Individual targets for each oct file with dependencies
editDistance.oct: editDistance.cc
	$(MKOCTFILE) editDistance.cc

libsvmread.oct: libsvmread.cc
	$(MKOCTFILE) libsvmread.cc

libsvmwrite.oct: libsvmwrite.cc
	$(MKOCTFILE) libsvmwrite.cc

svmpredict.oct: svmpredict.cc svm.cpp svm_model_octave.cc
	$(MKOCTFILE) svmpredict.cc svm.cpp svm_model_octave.cc

svmtrain.oct: svmtrain.cc svm.cpp svm_model_octave.cc
	$(MKOCTFILE) svmtrain.cc svm.cpp svm_model_octave.cc

fcnntrain.oct: fcnntrain.cc
	$(MKOCTFILE) fcnntrain.cc

fcnnpredict.oct: fcnnpredict.cc
	$(MKOCTFILE) fcnnpredict.cc

# Clean target
clean:
	rm -f $(OCTFILES)

# Declare targets that don't create files
.PHONY: all clean

=== debian/changelog ===
octave-statistics (1.7.5-4) unstable; urgency=medium

  * d/octave-statistics-common.lintian-overrides: Drop file. Actually, the
    Lintian warning national-encoding for the doc-cache file is not a
    false positive.
  * d/checkvars: Exclude BISTs in all files under inst/shadow9.
    Without these exclusions, autopkgtest fails.

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Sep 2025 08:52:48 -0300

octave-statistics (1.7.5-3) unstable; urgency=medium

  * d/control: Drop the versioned dependency on dh-octave.
    Relationship >= 1.2.3 is satisfiable in oldoldstable, which has
    version 1.2.7.
  * Proper removal of the doc/ directory
    + d/control: Build-depend on dh-octave >= 1.11.1
    + d/rules: Drop useless target execute_before_dh_installdeb-indep
  * d/watch: Convert to version 5
  * d/s/lintian-overrides: Add override for
    very-long-line-length-in-source-file
  * d/octave-statistics-common.lintian-overrides: Add override for
    national-encoding

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 11:45:35 -0300

octave-statistics (1.7.5-2) unstable; urgency=medium

  * Upload to unstable
  * Drop “Rules-Requires-Root: no”, which is now the default

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Aug 2025 17:27:57 +0200

octave-statistics (1.7.5-1) experimental; urgency=medium

  * New upstream version 1.7.5
  * d/watch: Adjust for new upstream tarball location

 -- Rafael Laboissière <rafael@debian.org>  Wed, 23 Jul 2025 02:46:06 -0300

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
   Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
+               dh-octave (>= 1.11.1),
                dh-sequence-octave,
                octave,
                octave-io
 Build-Conflicts: octave-nan
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-statistics
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/statistics/
Matching-Pattern: https://github.com/gnu-octave/statistics/releases/download/release-.+/statistics-(.+).tar.gz

## octave-statistics 1.7.6

=== debian/changelog ===
octave-statistics (1.7.6-2) unstable; urgency=medium

  * seed-fitcknn.patch: new patch, fixes random test failure

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Oct 2025 10:03:46 +0100

octave-statistics (1.7.6-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/watch: Use @ANY_VERSION@@ARCHIVE_EXT@ in Matching-Pattern

  [ Sébastien Villemot ]
  * New upstream version 1.7.6

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 23 Oct 2025 20:31:35 +0200

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/statistics/
Matching-Pattern: https://github.com/gnu-octave/statistics/releases/download/release-.+/statistics-@ANY_VERSION@@ARCHIVE_EXT@

## octave-statistics 1.7.7

=== DESCRIPTION ===
Name: statistics
Version: 1.7.7
Date: 2025-11-11
Author: various authors
Maintainer: Andreas Bertsatos <abertsatos@biol.uoa.gr>
Title: Statistics
Description: The Statistics package for GNU Octave.
Categories: Statistics
Depends: octave (>= 8.1.0)
License: GPLv3+
Url: https://github.com/gnu-octave/statistics
Tracker: https://github.com/gnu-octave/statistics/issues

=== debian/changelog ===
octave-statistics (1.7.7-1) unstable; urgency=medium

  * New upstream version 1.7.7
  * d/p/seed-fitcknn.patch: Drop patch (applied upstream)
  * d/salsa-ci.yml: New file
  * Add Lintian overrides for error and warnings caused by
    misidentification of inst/demos/*.{a,pdf} file types

 -- Rafael Laboissière <rafael@debian.org>  Sat, 15 Nov 2025 14:35:08 -0300

## octave-statistics 1.8.0

=== DESCRIPTION ===
Name: statistics
Version: 1.8.0
Date: 2025-11-30
Author: various authors
Maintainer: Andreas Bertsatos <abertsatos@biol.uoa.gr>
Title: Statistics
Description: The Statistics package for GNU Octave.
Categories: Statistics
Depends: octave (>= 9.1.0), datatypes(>=1.1.0)
License: GPLv3+
Url: https://github.com/gnu-octave/statistics
Tracker: https://github.com/gnu-octave/statistics/issues

=== debian/changelog ===
octave-statistics (1.8.0-2) unstable; urgency=medium

  * d/p/drop-dependency-on-datatypes.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Thu, 04 Dec 2025 06:21:36 -0300

octave-statistics (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 02 Dec 2025 06:32:30 -0300

## octave-statistics 1.8.1

=== debian/changelog ===
octave-statistics (1.8.1-3) unstable; urgency=medium

  * d/p/relax-tolerance-unit-test-grpstats.patch: New patch.
    This fixes the FTBFS problem on i368

 -- Rafael Laboissière <rafael@debian.org>  Tue, 24 Feb 2026 11:27:48 +0000

octave-statistics (1.8.1-2) unstable; urgency=medium

  * d/control: Build-depend on octave-datatypes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 24 Feb 2026 07:57:21 +0000

octave-statistics (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * d/copyright: Reflect upstream changes
  * d/p/drop-dependency-on-datatypes.patch: Drop patch.
    This version of the package really depends on octave-datatypes.
  * Drop unused Lintian overrides.
    The lintian overrides for unpack-message-for-deb-data (in
    d/octave-statistics-common.lintian-overrides), and
    unpack-message-for-orig and unpack-message-for-source (in
    d/s/lintian-overrides) were false positives (Bug#1115378). This has
    been fixed in Lintian version 2.128.0.
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 Feb 2026 14:33:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-statistics
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
   Rafael Laboissière <rafael@debian.org>
@@ -8,9 +7,10 @@
                dh-octave (>= 1.11.1),
                dh-sequence-octave,
                octave,
+               octave-datatypes (>= 1.1.8),
                octave-io
 Build-Conflicts: octave-nan
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/statistics/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-statistics.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-statistics
